Subject: Re: bug#35696: preview-latex does not work under any Emacs themes and bug#35571: 12.1; Changing foreground breaks previews

From: David Kastrup <[email-masked]>
Date: Sat, 18 May 2019 15:28:12 +0200

Ikumi Keita <[email-masked]> writes:

> Hi Gennady and Hua,
>
>>>>>> Gennady Uraltsev <[email-masked]> writes:
>> Hello,
>> It seems to be the same problem as I posted here:
>
>> http://lists.gnu.org/archive/html/bug-auctex/2019-05/msg00000.html
>
> Both confirmed.  David, do you have any outlook about this problem?

preview-pdf-color-string seems to be the seminal problem.

> It seems that gs 9.27 is incompatible with preview-latex when the
> default face has non-trivial foreground color.  When the preview fails
> and I right-click the "do not enter" sign to select "View error", the
> *Preview-Ghostscript-Error* buffer pops up and shows the error quoted
> at the last of this message.  It tells that "GS_PDF_ProcSet" caused
> the error and I found that the official ghostscript document says "We
> eliminated GS_PDF_ProcSet" in [1].
>
> Best regards,
> Ikumi Keita
>
> [1] https://www.ghostscript.com/doc/9.27/History9.htm

    2019-03-19 09:25:48 -0700
    Ray Johnston <[email-masked]>
    ebbb3ec7d20b5f4c444eb11fc9835e07229ccbd9

        Fix lib/pdf2dsc.ps to use documented Ghostscript pdf procedures.

        We eliminated GS_PDF_ProcSet and pdfdict, but runpdfbegin, dopdfpages,
        and runpdfend are still available.

        lib/pdf2dsc.ps
        
The usual "oh, we decided change is good and clobbered over the previous
API."  Presumably one of the listed hooks can be used instead, possibly
mimicking what the mentioned patch does to lib/pdf2dsc.ps .

-- 
David Kastrup